require 'stringio'

module ShutUp
  def shut_up &block
    original_stdout = $stdout
    $stdout = StringIO.new
    begin
      result = yield
    ensure
      $stdout = original_stdout
      result
    end
  end
  alias_method :quietly, :shut_up
end

class Object
  include ShutUp
  extend ShutUp
end